Webhooks are now available in the Fansly API Console! 🚀
Fansly API Logo
Tags

Get Discovery Tag Details

Get Discovery tag details by tag name.

https://v1.apifansly.com
GET
/api/fansly/{accountId}/discover/tags/{tagName}

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

Path Parameters

curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}" \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}", {
  method: "GET",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
.then(response => response.json())
.then(data => console.log(data));
import requests

url = "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}"
headers = {
    "x-api-key": "YOUR_API_KEY"
}

response = requests.get(url, headers=headers)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}"))
        .header("x-api-key", "YOUR_API_KEY")
        .GET()
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;
using System.Threading.Tasks;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}");
var responseString = await response.Content.ReadAsStringAsync();

Console.WriteLine(responseString);
package main

import (
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/{accountId}/discover/tags/{tagName}"
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Set("x-api-key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}

Parameters

To retrieve the details for a tag, you must provide its name and the accountId.

accountId*
string
The unique identifier for the connected account, retrieved from your Dashboard.
tagName*
string
The exact name of the discovery tag to retrieve details for.

Response

{
    "statusCode": 200,
    "message": "Success",
    "data": {
        "status_code": 200,
        "data": {
            "success": true,
            "response": {
                "mediaOfferSuggestionTag": {
                    "id": "unique_tag_identifier",
                    "tag": "sample_tag_name",
                    "label": null,
                    "description": "tag_description",
                    "viewCount": "number_of_views",
                    "postCount": "number_of_posts",
                    "flags": "integer_flag_value",
                    "createdAt": "timestamp_in_milliseconds"
                },
                "aggregationData": {}
            }
        }
    },
    "timestamp": "2026-04-09T14:38:24.793Z"
}

On this page